package com.bocloud.cmp.model.storage;

/**
 * 磁盘分区
 */
public class StorageDiskPartitionModel {
    private Long partitionId; // 分区id，原生端中的id
    private String partitionUuid; // 分区uuid
    private String mountPath; // 挂载路径
    private Long sizeByte; // 容量
    private Boolean used; // 已使用
    private StorageDiskModel disk; // 所属磁盘

    public Boolean getUsed() {
        return used;
    }

    public void setUsed(Boolean used) {
        this.used = used;
    }

    public Long getPartitionId() {
        return partitionId;
    }

    public void setPartitionId(Long partitionId) {
        this.partitionId = partitionId;
    }

    public String getPartitionUuid() {
        return partitionUuid;
    }

    public void setPartitionUuid(String partitionUuid) {
        this.partitionUuid = partitionUuid;
    }

    public String getMountPath() {
        return mountPath;
    }

    public void setMountPath(String mountPath) {
        this.mountPath = mountPath;
    }

    public Long getSizeByte() {
        return sizeByte;
    }

    public void setSizeByte(Long sizeByte) {
        this.sizeByte = sizeByte;
    }

    public StorageDiskModel getDisk() {
        return disk;
    }

    public void setDisk(StorageDiskModel disk) {
        this.disk = disk;
    }
}
